#/**
#         ogr DevToDisk path_device
#@brief   Devuelve el nº de orden de disco (y partición) correspondiente al nombre de fichero de dispositivo.
#@param   path_device Camino del fichero de dispositivo.
#@return  int_ndisk (para dispositivo de disco)
#@return  int_ndisk int_npartition (para dispositivo de partición).
#@exception OG_ERR_FORMAT   Formato incorrecto.
#@exception OG_ERR_NOTFOUND Dispositivo no detectado.
#@note    Requisitos: awk
#@version 0.1 -  Integracion para Opengnsys  -  EAC: DiskEAC() en ATA.lib 
#@author  Antonio J. Doblas Viso, Universidad de Malaga
#@date    2008/10/27
#@version 0.9 - Primera version para OpenGNSys
#@author  Ramon Gomez, ETSII Universidad Sevilla
#@date    2009/07/20
#*/ ##
# Variables locales.
local d n
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME path_device" \
           "$FUNCNAME /dev/sda  =>  1 1"
    return
fi

# Error si no se recibe 1 parámetro.
[ $# == 1 ] || ogr RaiseError $OG_ERR_FORMAT || return $?
# Error si no es fichero de bloques.
[ -b "$1" ] || ogr RaiseError $OG_ERR_NOTFOUND "$1" || return $?

# Procesa todos los discos para devolver su nº de orden y de partición.
n=1
for d in $(ogr DiskToDev); do
    [ -n "$(echo $1 | grep $d)" ] && echo "$n ${1#$d}" && return
    n=$[n+1]
done
ogr RaiseError $OG_ERR_NOTFOUND "$1"
return $OG_ERR_NOTFOUND
